from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XMasterPasswordHandling(XInterface, Protocol):
    def authorizateWithMasterPassword(self, xHandler: XInteractionHandler) -> bool: ...
    def changeMasterPassword(self, xHandler: XInteractionHandler) -> bool: ...
    def removeMasterPassword(self) -> None: ...
    def hasMasterPassword(self) -> bool: ...
    def allowPersistentStoring(self, bAllow: bool) -> bool: ...
    def isPersistentStoringAllowed(self) -> bool: ...
